## org.apache.hadoop.util
Class ResourceCalculatorPlugin.ProcResourceValues

    java.lang.Object
      org.apache.hadoop.util.ResourceCalculatorPlugin.ProcResourceValues

Enclosing class:
  ResourceCalculatorPlugin

    public static class ResourceCalculatorPlugin.ProcResourceValues

extends Object

Constructor Summary
`ResourceCalculatorPlugin.ProcResourceValues(long cumulativeCpuTime, long physicalMemorySize, long virtualMemorySize)`

Method Summary
`long` `getCumulativeCpuTime()` Obtain the cumulative CPU time used by a current process tree.
`long` `getPhysicalMemorySize()` Obtain the physical memory size used by current process tree.
`long` `getVirtualMemorySize()` Obtain the virtual memory size used by a current process tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceCalculatorPlugin.ProcResourceValues

    public ResourceCalculatorPlugin.ProcResourceValues(long cumulativeCpuTime,
                                                       long physicalMemorySize,
                                                       long virtualMemorySize)

Method Detail

### getPhysicalMemorySize

    public long getPhysicalMemorySize()

  Obtain the physical memory size used by current process tree.

  Returns:
    physical memory size in bytes.

### getVirtualMemorySize

    public long getVirtualMemorySize()

  Obtain the virtual memory size used by a current process tree.

  Returns:
    virtual memory size in bytes.

### getCumulativeCpuTime

    public long getCumulativeCpuTime()

  Obtain the cumulative CPU time used by a current process tree.

  Returns:
    cumulative CPU time in milliseconds

Copyright © 2009 The Apache Software Foundation